#!/usr/bin/perl

use strict;
use File::Copy;

my $fonmon_conf = "/etc/asterisk/FONmon.conf";

# make backup copy first
File::Copy::copy($fonmon_conf, $fonmon_conf.".bak_ip");

# add checkiptables
open(FH, '<', $fonmon_conf.".bak_ip");
open(FF, '>', $fonmon_conf);

# remove flag
my $remove_flag = $ARGV[0];

my $found_iptables = 0;
while(my $line = <FH>)
{
	if(!$remove_flag)
	{
		if($line =~ /checkiptables\s*=\s*(\d+)/)
		{
			$found_iptables = 1;
		}
	}
	else
	{
		$line =~ s/checkiptables\s*=\s*(\d+)//g;
		$line =~ s/iptables_interval\s*=\s*(\d+)//g;
	}
	print FF $line;
}

if(!$found_iptables && !$remove_flag)
{
	print FF "\ncheckiptables = 0";
	print FF "\niptables_interval = 300";
}

close(FH);
close(FF);

unlink($fonmon_conf.".bak_ip");

# restart FONmon
system('/var/www/rpc/surun /etc/init.d/FONmon restart');
