#!/usr/bin/perl

use strict;
use File::Copy;

my $iptables_conf = "/etc/sysconfig/iptables-config";

# make backup copy first
File::Copy::copy($iptables_conf, $iptables_conf.".bak_ip");

# add checkiptables
open(FH, '<', $iptables_conf.".bak_ip");
open(FF, '>', $iptables_conf);

# remove flag
my $remove_flag = $ARGV[0];

while(my $line = <FH>)
{
	if(!$remove_flag)
	{
		$line =~ s/IPTABLES_MODULES=""/IPTABLES_MODULES="ip_conntrack_ftp"/g)
	}
	else
	{
		$line =~ s/IPTABLES_MODULES="ip_conntrack_ftp"/IPTABLES_MODULES=""/g)
	}
	print FF $line;
}

close(FH);
close(FF);

unlink($iptables_conf.".bak_ip");
